var find_video = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        return;
    }
    window.mi.onVideoElmFound();
    window.mi.JsLog("Video elem found");
    reg_ev();
};

var video_is_play = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        return;
    }
    if (videoTags[0].duration) {
        condition_mute(videoTags[0]);
        window.mi.onVideoStarted();
    } else {
        window.mi.JsLog("start playing: duration=" + videoTags[0].duration);
    }
};

var condition_mute = function(vt) {
    if (window.mi.needMute()) {
          vt.muted=true;
    }
};

var play_video = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        window.mi.JsLog("No Video element found");
        return;
    }

    condition_mute(videoTags[0]);

    videoTags[0].play();

    if (videoTags[0].duration) {
        condition_mute(videoTags[0]);
        window.mi.onVideoStarted();
    } else {
        window.mi.JsLog("start playing: duration=" + videoTags[0].duration);
    }
};

var stop_play = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        window.mi.JsLog("No Video element found");
        return;
    }
    videoTags[0].pause();
};

var get_url = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        window.mi.JsLog("No Video element found");
        return;
    }

    condition_mute(videoTags[0]);

   	var url = videoTags[0].getAttribute('src');
   	var sources = videoTags[0].getElementsByTagName('source');
   	if(sources != null && sources != undefined){
        for(var i = 0; i < sources.length; i++){
            var source = sources[i].getAttribute('src');
            if(source != null || source != undefined || source.length > 0){
                url = source;
	            break;
            }
        }
    }
    if (url) {
        window.mi.putUrl(videoTags[0].duration, url);
    }
};

var sk_end = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        window.mi.JsLog("No Video element found");
        return;
    }

    if (videoTags[0].duration && videoTags[0].duration - videoTags[0].currentTime > 5) {
        videoTags[0].currentTime = videoTags[0].duration-0.1;
        window.mi.JsLog("seek to: " + videoTags[0].currentTime);
    }
};

var reg_ev = function() {
    var videoTags = document.getElementsByTagName('video');
    if(videoTags == null || videoTags == undefined || videoTags.length == 0){
        window.mi.JsLog("No Video element found");
        return;
    }

    videoTags[0].addEventListener('durationchange',function() {
        window.mi.JsLog("duration changed: " + videoTags[0].duration);
        if (videoTags[0].duration) {
            condition_mute(videoTags[0]);
            window.mi.onVideoStarted();
        }
        if (videoTags[0].duration && videoTags[0].duration < 20) {
            sk_end();
        }
    });
};
